# Maker Reporter

Reports the utilization ratio of each maker. This is required for borrowing fee calculation to ensure makers do not over-report their utilization ratio and receive more fees than they should.

## Contract

{% code overflow="wrap" %}

```solidity
function getUtilRatioFactor(
    uint256 marketId, 
    address receiver
)
/// @notice Return if long
returns (
    uint256 0,     
    uint256 defaultUtilRatioFactor
)
/// @ notice Return if short
returns (
    uint256 defaultUtilRatioFactor,     
    uint256 0
)
```

{% endcode %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.nekodex.org/nekodex-playground/docs-for-devs/contracts/maker-reporter.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
